---
title: "Remove a custom field"
slug: "remove-a-custom-field"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to remove a custom field."
---
# Remove a custom field

`DELETE /lists/{MailingListID}/customfields/{CustomFieldID}/delete.{Format}`

Removes a custom field from a specific email list.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| MailingListID | path | string | true | The ID of the email list containing the custom field. |
| CustomFieldID | path | string | true | The ID of the custom field to be deleted. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |

```http
DELETE https://{hostname}/v3/lists/{MailingListID}/customfields/{CustomFieldID}/delete.{Format}?apikey=
```

```curl
curl --include \\
     --request DELETE \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
'https://{hostname}/v3/lists/{MailingListID}/customfields/{CustomFieldID}/delete.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/jsonAccept:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": null
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - this is `null` if successful.